#ifndef CONSOLELOGGER_H
#define CONSOLELOGGER_H

#include <string>
#include "Logger.h"

// Konzolra naplózó osztály.
class ConsoleLogger : public Logger
{
public:
    // Konstruktor.
    ConsoleLogger(Level minLevel) : Logger(minLevel) {}

protected:
    // Tényleges naplózás a standard outputra.
    void doLog(const std::string& message, Level level)
    {
        std::cout << message << std::endl;
    }
};

#endif // CONSOLELOGGER_H
