#include <iostream>

using namespace std;

// Ez a globális változó a többi fordítási egységben is elérhető, ha ott deklaráljuk.
string global = "global #1";
// Ennek a globális változónak egy másik fordítási egységben definiálunk értéket.
extern string extern_global;
// Ez a globális változó csak ebben a fordítási egységben érhető el.
static string static_global = "static_global #1";

// Ezt a metódust itt deklaráljuk és később definiáljuk.
void trans_unit_1();
// Ezt a metódust itt deklaráljuk és egy másik fordítási egységben definiáljuk.
void trans_unit_2();

int main()
{
	trans_unit_1();
	cout << "---------------" << endl;
	trans_unit_2();
	return 0;
}

void trans_unit_1()
{
	cout << global << endl
		<< static_global << endl
		<< extern_global << endl;
}
