#ifndef PRIMGENERATOR_H
#define PRIMGENERATOR_H

#include <vector>

class PrimGenerator
{
private:
    std::vector<unsigned long> primes;

public:
    PrimGenerator();
    unsigned long generate(unsigned int n);

private:
    void createPrimes(unsigned int n);
    bool isPrime(unsigned long number);
};

#endif // PRIMGENERATOR_H
